"""
Physical constants for use in `rbamlib` calculations.

Constants:
    - MC2 ≈ 0.511 : Rest mass energy of an electron in MeV.
    - B0_Earth ≈ 0.31 : mean value of the magnetic field at the magnetic equator on the Earth's surface in G.
    - B0_Saturn ≈ 0.21 : mean value of the magnetic field at the magnetic equator on the Saturn's surface in G.
    - B0_Jupiter ≈ 4.28 : mean value of the magnetic field at the magnetic equator on the Jupiter's surface in G.
    - T0 ≈ 1.3802 : Approximate value of T(0)
    - T1 ≈ 0.7405 : Approximate value of T(1)
"""

MC2 = 0.51099895  # rest mass energy of an electron in MeV
B0_Earth = 0.312  # mean value of the Earth's surface magnetic field
B0_Saturn = 0.215  # mean value of the Saturn's surface magnetic field
B0_Jupiter = 4.28  # mean value of the Jupiter's surface magnetic field
T0 = 1.3802  # Approximate value of T(0)
T1 = 0.7405  # Approximate value of T(1)
